> ## Documentation Index
> Fetch the complete documentation index at: https://docs.puretalk.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Assistants List

> Returns all AI Assistants from the system that the user has access to



## OpenAPI

````yaml openapi-ai-assistants GET /ai-assistants
openapi: 3.0.1
info:
  title: Puretalk AI
  description: Api Documentation for Puretalk AI
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.puretalk.ai/api
security:
  - ApiKeyAuth: []
paths:
  /ai-assistants:
    get:
      description: Returns all AI Assistants from the system that the user has access to
      parameters:
        - name: page
          in: query
          description: The page number to return
          schema:
            type: integer
            format: int32
        - name: limit
          in: query
          description: The maximum number of results to return
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: AI Assistants response
          content:
            application/json:
              schema:
                type: object
                properties:
                  count:
                    type: integer
                    description: The total number of AI Assistants
                    example: 100
                  next:
                    type: string
                    nullable: true
                    description: The next page of AI Assistants
                    example: https://api.puretalk.ai/api/ai-assistants/?page=2
                  previous:
                    type: string
                    nullable: true
                    description: The previous page of AI Assistants
                    example: https://api.puretalk.ai/api/ai-assistants/?page=1
                  results:
                    type: array
                    description: The list of AI Assistants
                    items:
                      $ref: '#/components/schemas/AssistantPopulated'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    AssistantPopulated:
      type: object
      properties:
        user:
          type: object
          properties:
            name:
              type: string
              description: The name of the user
            dp:
              type: string
              format: uri
              nullable: true
              description: The dp of the user
            email:
              type: string
              format: email
              description: The email of the user
        voice:
          type: object
          properties:
            voice_id:
              type: string
              description: The voice id of the user
            name:
              type: string
              description: The name of the voice
            avatar:
              type: string
              format: uri
              description: The avatar of the voice
            gender:
              type: string
              description: The gender of the voice
            demo_audio_url:
              type: string
              format: uri
              description: The demo audio url of the voice
            is_cloned:
              type: boolean
              description: Indicates if the voice is cloned
            language:
              type: string
              description: The language of the voice
            description:
              type: string
              nullable: true
              description: The description of the voice
        llm_states:
          type: array
          items: {}
        phone_number:
          type: string
          nullable: true
          description: The phone number of the AI Assistant
        variables:
          type: array
          items: {}
        knowledge_base:
          type: string
          nullable: true
          description: The knowledge base of the AI Assistant
        assistant_id:
          type: string
          format: uuid
          description: The assistant id of the AI Assistant
        name:
          type: string
          description: The name of the AI Assistant
        prompt:
          type: string
          description: The prompt of the AI Assistant
        model:
          type: string
          description: The model of the AI Assistant
        who_speaks_first:
          type: string
          enum:
            - assistant
            - user
          description: Who speaks first value of the AI Assistant
        begin_message:
          type: string
          nullable: true
          description: The begin message of the AI Assistant
        assistant_type:
          type: string
          description: The assistant type of the AI Assistant
        avatar:
          type: string
          format: uri
          description: The avatar of the AI Assistant
        custom_knowledge_base:
          type: string
          description: The custom knowledge base of the AI Assistant
        timezone:
          type: string
          description: The timezone of the AI Assistant
        voice_stability:
          type: number
          minimum: 0
          maximum: 1
          description: The voice stability of the AI Assistant
        voice_clarity_similarity:
          type: number
          minimum: 0
          maximum: 1
          description: The voice clarity similarity of the AI Assistant
        voice_stream_latency_optimization:
          type: integer
          minimum: 0
          maximum: 5
          description: The voice stream latency optimization of the AI Assistant
        voice_boost:
          type: boolean
          description: Indicates if voice boost is enabled for the AI Assistant
        voice_speed:
          type: number
          description: The voice speed of the AI Assistant
        voice_emotion:
          type: array
          items: {}
        call_recording_enabled:
          type: boolean
          description: Indicates if call recording is enabled for the AI Assistant
        reminder_message_frequency:
          type: integer
          description: The reminder message frequency of the AI Assistant
        max_reminder_messages:
          type: integer
          description: The maximum reminder messages of the AI Assistant
        post_analysis:
          type: string
          nullable: true
          description: The post analysis of the AI Assistant
        chatbot_logo:
          type: string
          format: uri
          nullable: true
          description: The chatbot logo of the AI Assistant
        chatbot_accent_color:
          type: string
          nullable: true
          description: The chatbot accent color of the AI Assistant
        chatbot_faq:
          type: string
          nullable: true
          description: The chatbot FAQ of the AI Assistant
        chatbot_whitelisted_domains:
          type: array
          nullable: true
          items:
            type: string
        chatbot_begin_message:
          type: string
          nullable: true
          description: The chatbot begin message of the AI Assistant
        tools:
          type: string
          nullable: true
          description: The tools of the AI Assistant
        created_at:
          type: string
          format: date-time
          description: The created at date of the AI Assistant
        updated_at:
          type: string
          format: date-time
          description: The updated at date of the AI Assistant
        behavior:
          type: integer
          description: The behavior of the AI Assistant
    Error:
      type: object
      properties:
        err:
          type: boolean
        msg:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: >-
        Authorization header containing API key. You can find your API key in
        the dashboard under 'API Keys'.

````